/****
 * CSymWindow.h
 *
 *	Symbol window class for the SignWriter key editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/

#pragma once	

#include <CDirector.h>
#include <CApplication.h>
#include "CSymWndGrid.h"
#include "CSymWndBox.h"


struct CSymWindow : CDirector {


	CSymWndGrid	 *itsGridPane;
	CSymWndBox	 *itsBoxPane;

	  
    void        ISymWindow (CDirectorOwner *aSupervisor);
    void        Dispose (void);

	void		DoCommand (long theCommand);

    void        UpdateMenus (void);  
	
	void  		NewWindow (void);
	
	short		SelectedSymbol (void);

};